NOTICE

Notice of System Requirements

Update:18 Jun, 2021 NO:TP21003

Thank you for your continued use of our product.

We would like to update you on the minimum system requirements of giMark Plush software.
Recently we have received a few reports that giMark Plush sometimes frozen or hung up when PC was busy that causes manufacturing loss during the production.
So, please system up with a PC that meets the following requirements.

  • OS: Windows 8.1 or new (Windows 10 64bit preferred)
  • Processor: 2GHz or up
  • RAM: 4GB (8GB or higher Preferred)
  • Applicable cutting plotter: CE7000-40 (CE6000-40)

Note: While production and in operation, please refrain from using antivirus software as well as background apps (Go \Setting\Background App) that frequently require lots of memories and CPU usage. giMark Plush software may be suspended due to the fewer resources on the PC.

Customer Support

Please contact us from following link for any inquiries.
CONTACT US